import { ClientEvents } from "discord.js";
import App from "../App";

// @Exclude-API
export default abstract class SimpleEvent {

    public name: keyof ClientEvents;

    constructor(app: App, name: keyof ClientEvents) {
        this.name = name;
    }
    
    abstract execute(app: App, ... args: any): Promise<any>;
}